%define libversion	0.0.2
%define major		0
%define libname		%mklibname %{name} %{libversion} %{major}
%define develname	%mklibname %{name} %{libversion} -d

Name:		clutter-gesture
Version:	0.0.2.1
Release:	%mkrel 1
Summary:	Gesture Library for Clutter
Group:		System/Libraries
License:	LGPLv2+ and MIT
URL:		http://moblin.org/projects/clutter-gesture
Source0:	http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.xz
Patch1:		clutter-gesture-0.0.2-build.patch
#----------------------------------------
BuildRequires:	clutter-devel
BuildRequires:	glib2-devel
#----------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This library allows clutter applications to be aware of gestures 
and to easily attach some handlers to the gesture events. The library 
supports both single and multi touch.

%package devel
Summary:	Development files and headers for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%setup -q
%apply_patches

# don't treat warnings as errors
sed -i -e 's,-Werror,,g' configure.ac

# The NEWS file contains the license so use it as a COPYING file. Upstream has been contacted to resolve the issue
cp NEWS COPYING

%build
# run autogen.sh until we have a proper release, but don't run configure twice.
#sed -i '/configure/d' autogen.sh
#./autogen.sh
autoreconf -vfi

%configure2_5x --disable-static
%make CFLAGS+="-DGLIB_DISABLE_DEPRECATION_WARNINGS -DCLUTTER_DISABLE_DEPRECATION_WARNINGS" LIBS=-lm V=1

%install
rm -rf %{buildroot}
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libcluttergesture-%{libversion}.so.%{major}*
%{_libdir}/libengine.so.%{major}*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libcluttergesture-%{libversion}.so
%{_libdir}/libengine.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%clean
rm -rf %{buildroot}


%changelog
* Sat Oct 19 2013 billybot <billybot> 0.0.2.1-1pclos2013
- update
